function E0090()
    MNA()CMU("CS_Weed")FAI(0)
end
function E0091()
    MNA()CMU("CS_Weed")FAI(1)
end
function E0092()
    MNA()CMU("CS_Weed")FAI(2)
end
function E0093()
    MNA()CMU("CS_Weed")FAI(3)
end
function E0094()
    MNA()CMU("CS_Weed")FAI(4)
end

function GoPeaceTownAround()
    PRI()FAO(1)TRA("CS_peace_town_around","E0093",1,7,1,74)
end

function Door_GoPeaceTownForestSmallRoom()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoPeaceTownForestSmallRoom",0,1)FAO(0)TRA("CS_peace_town_forest_smallroom","E0092",17,12)
end

function FindHoneycomb()
    if(SKJ("QuackBoss")) then
        CMU("XXXX")
        DNP("FindHoneycomb")
        FLP("FindHoneycomb")
        KEY()
        MM0()SLR(0,PLY())
        WAI(16)
        FAO(0)
        MOV(26,20,PLY())
        MOV(28,20,1-PLY())
        SLR(1)
        FON("Camera1",1)
        WAI(1)
        AMC("walk",1,MCI("CS_mychar_jack"))
        WAI(4)
        AMC("walk",1,MCI("CS_mychar_santa"))
        FAI(2)
        WAI(16)
        CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
        SOU("CS_071_little_crash")
        AMC("normal",1)
        WAI(32)
        FON("Honeycomb1",16)
        WAI(32)
        ANP("BossCore","boot")
        WAI(32)
        FON("Camera2",16)
        WAI(32)
        DNP("Camera1")
        DNP("Camera2")
        FON("Camera3",16)
        CMU("CS_OppressionBetaExtra")
        BSL("BossCore")
    else
        CMU("XXXX")
        DNP("FindHoneycomb")
        FLP("FindHoneycomb")
        KEY()
        MM0()SLR(0,PLY())
        WAI(16)
        FAO(0)
        MOV(21,20,PLY())
        MOV(23,20,1-PLY())
        AMC("back",0,PLY())
        AMC("back",0,1-PLY())
        FON("Camera1",1)
        WAI(1)
        FAI(2)
        WAI(32)
        MS3("\nThat's a huge beehive...")NOD()CLR()
        FAC("jack_><")CAT("I've got a bad feeling about this.")NOD()
        AMC("normal",1,MCI("CS_mychar_jack"))
        if(PLY() == 0) then
            SNP("sys_trigger_h_player1",25,16,0,"mainLayer","Camera2")--相机
        else
            SNP("sys_trigger_h_player2",25,16,0,"mainLayer","Camera2")--相机
        end
        FON("Camera2",16)
        FAC("jack_normal")CAT("\nLet's go back and") 
        CAT("\nthink of another way...")NOD()CLR()
        FAC()CAT("\nI agree...")NOD()CLO()
        SLR(1)
        WAI(32)
        AMC("walk",1,MCI("CS_mychar_jack"))
        WAI(16)
        AMC("walk",1,MCI("CS_mychar_santa"))
        WAI(128)
        CMP("cmpLayer_1","mainLayer","CS_pe_smoke")
        SOU("CS_071_little_crash")
        AMC("normal",1)
        WAI(32)
        FON("Honeycomb1",16)
        WAI(32)
        ANP("BossCore","boot")
        WAI(32)
        FON("Camera2",16)
        WAI(32)
        PRI()
        FAC("jack_><")MS3("Oh no...")NOD()
        FAC("jack_normal")CAT("\nSanta, prepare for battle!")NOD()CLO()
        DNP("Camera1")
        DNP("Camera2")
        FON("Camera3",16)
        CMU("CS_OppressionBetaExtra")
        BSL("BossCore")
        SKP("QuackBoss")
    end
end

function BossCore()
    KEY()
    KIL("CS_enemy_bee")
    KIL("CS_am_demonflower_seed")
    WAI(100)
    MNP("Chest_Honeycomb",21,10,0)--蜂巢宝箱
    MNP("Chest_DemonFlower",10,15,0)--恶魔之花宝箱
    CMU("CS_Fanfale3")
    MS4("\nBeehive & Demon Flower defeated!")WAI(140)NOD()CLO()
    WAI(32)
    CMP("cmpLayer_2","mainLayer","CS_pe_smoke")
    SNP("sys_trigger_v_allplayer",38,16,0,"mainLayer","ChestGetAssert")
    SOU("CS_071_little_crash")
    WAI(32)
    FOM()
    CMU("CS_Weed")
    FLP("DefeatedHD")
    SKS("QuackBoss")
end

function Chest_Honeycomb()
    PRI()
    ITP("Honeycomb")
    SOU("CS_022_chest_open")
    ANP("Chest_Honeycomb",0,1)
    MS4("Opened the chest.")NOD()CLR()
    GIT("Honeycomb")
    SOU("CS_038_get_item")
    CMU("CS_Fanfale1")
    CAT("\nObtained =HONEYCOMB BLOCK=.")WAI(160)NOD()RMU()CLR()
    DNP("Chest_Honeycomb")
    MSR("ExploreForest","BringHoneycombToGunsmith")
end

function Chest_DemonFlower()
    PRI()
    ITP("DemonFlower")
    SOU("CS_022_chest_open")
    ANP("Chest_DemonFlower",0,1)
    MS4("Opened the chest.")NOD()CLR()
    GIT("DemonFlower")
    SOU("CS_038_get_item")
    CMU("CS_Fanfale1")
    CAT("\nObtained =DEMON FLOWER=.")WAI(160)NOD()RMU()CLR()
    DNP("Chest_DemonFlower")
end

function ChestGetAssert()
    if(ITJ("Honeycomb") and ITJ("DemonFlower")) then
        DNP("ChestGetAssert")
    else
        KEY()
        MYB(1,PLY())
        WAS()
        FAC("jack_normal")MS3("There's still something")
        CAT("\nwe haven't taken.")NOD()
    end
end